| Home | Libraries | People | FAQ | More

##### static_url::normalize_scheme

Normalize the URL scheme.

###### Synopsis

    static_url&
    normalize_scheme();

###### Description

Applies Syntax-based normalization to the URL scheme. The scheme is normalized to lowercase.

###### Exception Safety

Strong guarantee. Calls to allocate may throw.

###### Specification

- 6.2.2 Syntax-Based Normalization (rfc3986)